Package org.apache.sling.jcr.base.internal.mount

## Class ProxyJackrabbitWorkspace

- java.lang.Object
- - org.apache.sling.jcr.base.internal.mount.ProxyWrapper<T>
  - - org.apache.sling.jcr.base.internal.mount.ProxyWorkspace<org.apache.jackrabbit.api.JackrabbitWorkspace>
    - - org.apache.sling.jcr.base.internal.mount.ProxyJackrabbitWorkspace

All Implemented Interfaces:
  `javax.jcr.Workspace`, `org.apache.jackrabbit.api.JackrabbitWorkspace`

    public class ProxyJackrabbitWorkspace
    extends ProxyWorkspace<org.apache.jackrabbit.api.JackrabbitWorkspace>
    implements org.apache.jackrabbit.api.JackrabbitWorkspace

### Field Summary

### Fields inherited from interface javax.jcr.Workspace

`NAME_ACTIVITIES_NODE, NAME_CONFIGURATIONS_NODE, NAME_JCR_XMLCHARACTERS, NAME_JCR_XMLTEXT, NAME_NODE_TYPES_NODE, NAME_SYSTEM_NODE, NAME_UNFILED_NODE, NAME_VERSION_STORAGE_NODE, NAME_WORKSPACE_ROOT, PATH_ACTIVITIES_NODE, PATH_CONFIGURATIONS_NODE, PATH_NODE_TYPES_NODE, PATH_SYSTEM_NODE, PATH_UNFILED_NODE, PATH_VERSION_STORAGE_NODE, PATH_WORKSPACE_ROOT, RELPATH_JCR_XMLCHARACTERS`

### Constructor Summary

Constructors
`ProxyJackrabbitWorkspace​(ProxySession mountSession, org.apache.jackrabbit.api.JackrabbitWorkspace delegate, org.apache.jackrabbit.api.JackrabbitWorkspace delegate2)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `createWorkspace​(String workspaceName, InputSource workspaceTemplate)`
`org.apache.jackrabbit.api.security.authorization.PrivilegeManager` `getPrivilegeManager()`

### Methods inherited from class org.apache.sling.jcr.base.internal.mount.ProxyWorkspace

`clone, copy, copy, createWorkspace, createWorkspace, deleteWorkspace, getAccessibleWorkspaceNames, getImportContentHandler, getLockManager, getName, getNamespaceRegistry, getNodeTypeManager, getObservationManager, getQueryManager, getSession, getVersionManager, importXML, move, restore`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.jackrabbit.api.JackrabbitWorkspace

`createWorkspace`

### Methods inherited from interface javax.jcr.Workspace

`clone, copy, copy, createWorkspace, deleteWorkspace, getAccessibleWorkspaceNames, getImportContentHandler, getLockManager, getName, getNamespaceRegistry, getNodeTypeManager, getObservationManager, getQueryManager, getSession, getVersionManager, importXML, move, restore`

### Constructor Detail

#### ProxyJackrabbitWorkspace

    public ProxyJackrabbitWorkspace​(ProxySession mountSession,
                                    org.apache.jackrabbit.api.JackrabbitWorkspace delegate,
                                    org.apache.jackrabbit.api.JackrabbitWorkspace delegate2)

### Method Detail

#### createWorkspace

    public void createWorkspace​(String workspaceName,
                                InputSource workspaceTemplate)
                         throws javax.jcr.AccessDeniedException,
                                javax.jcr.RepositoryException

Specified by:
  `createWorkspace` in interface `org.apache.jackrabbit.api.JackrabbitWorkspace`
Throws:
  `javax.jcr.AccessDeniedException`
  `javax.jcr.RepositoryException`

#### getPrivilegeManager

    public org.apache.jackrabbit.api.security.authorization.PrivilegeManager getPrivilegeManager()
                                                                                          throws javax.jcr.RepositoryException

Specified by:
  `getPrivilegeManager` in interface `org.apache.jackrabbit.api.JackrabbitWorkspace`
Throws:
  `javax.jcr.RepositoryException`